LLVM-DWARFDUMP(1)

NAME
llvm-dwarfdump - print contents of DWARF sections

SYNOPSIS

llvm-dwarfdump [options] [filenames...]

DESCRIPTION

llvm-dwarfdump parses DWARF sections in the object files and prints their contents in human-readable form.

OPTIONS

-debug-dump=section
    Specify the DWARF section to dump. For example, use abbrev to dump the contents of .debug_abbrev section, loc.dwo to dump the contents of .debug_loc.dwo etc. See llvm-dwarfdump --help for the complete list of supported sections. Use all to dump all DWARF sections. It is the default.

EXIT STATUS

llvm-dwarfdump returns 0 if the input files were parsed and dumped successfully. Otherwise, it returns 1.

AUTHOR
Maintained by The LLVM Team (http://llvm.org/).

COPYRIGHT
2003-2015, LLVM Project